https://api.nexscope.ai/dl/productBillboardRun this API
Send a JSON request to execute this API and receive the documented response payload.
Endpoint
| Method | POST |
| Path | https://api.nexscope.ai/dl/productBillboard |
| Auth | Bearer API key |
| Content-Type | application/json |
Request parameters
| Name | Type | Required | Description |
|---|---|---|---|
keyWord | string | optional | Product search keyword, must be in Chinese, maximum length 50 |
date | string | optional | Query time; the weekly list passes the Sunday date of the week (the longest is nearly 90 days), the monthly list passes the first day of the month (the longest is the last year) |
pageType | integer | optional | List type: `2` weekly list, `3` monthly list Example: 3 |
pageIndex | integer | optional | Page number, starting from 1 Example: 1 |
pageSize | integer | optional | Return quantity per page, range 10-100 Example: 20 |
sortField | string | optional | `orderCount` sales number, `saleCount` sales number, `saleVolume` estimated sales, `offerCreateTime` shelf time, `price` wholesale price, `consignPrice` consignment price Example: orderCount |
sortType | string | optional | Sorting type: `desc` descending order, `asc` ascending order Example: desc |
searchType | integer | optional | Product keyword search: `1` fuzzy matching, `3` precise matching Example: 1 |
offerType | integer | optional | Product identification: `0` is not limited, `2` is new, `3` is carefully selected by 1688, `4` is cross-border, `5` supports customization, `6` is the treasure of the store Example: 0 |
companyType | integer | optional | Company type: `0` unlimited, `1` shop, `2` factory |
shiLiType | string | optional | Seller membership type, separate multiple choices with commas: `superFactory` super factory, `Power` powerful merchant, `TrustPass` integrity member |
beginTpYear | integer | optional | Start the Integrity Pass period |
endTpYear | integer | optional | End of integrity pass period |
beginPrice | number | optional | Wholesale price starting value |
endPrice | number | optional | wholesale price ending value |
beginConsignPrice | number | optional | Starting value of agency price |
endConsignPrice | number | optional | The end value of the agency price |
beginOrderCount | integer | optional | Starting value of number of sales |
endOrderCount | integer | optional | Sales end value |
beginSaleCount | integer | optional | Starting value of sales units |
endSaleCount | integer | optional | Sales end value |
beginSaleVolume | number | optional | sales starting value |
endSaleVolume | number | optional | sales end value |
beginStartQuantity | integer | optional | Starting batch size |
endStartQuantity | integer | optional | end batch |
beginOfferCreateTime | string | optional | Starting value of shelf time, format `YYYY-MM-DD` |
endOfferCreateTime | string | optional | Shelf time end value, format `YYYY-MM-DD` |
sendTime | string | optional | Shipping time, multiple selections separated by commas: `24`, `48`, `72` hours |
proxyRights | string | optional | For drop-shipping rights, multiple options must be separated by commas: `4360897`, free shipping for one piece, `449154`, purchase first, pay later |
shopService | string | optional | Seller services, multiple selections separated by commas: `4057409` Safe Purchase, `888777` In-depth Certification Report |
buyerProtections | string | optional | Rights protection, separate multiple choices with commas: `Free shipping for goods`, `7-day return guarantee`, `Support freight insurance` |
faceToFaceSupport | string | optional | Farewell support, multiple selections separated by commas: `441218` Taobao, `386434` Douyin, `422914` Pinduoduo, `422978` Xiaohongshu, `386370` Kuaishou |
productIds | string | optional | Product ID, multiple separated by commas, up to 20 |
goodsUrl | string | optional | Product link address |
Code example
{
"date": "2026-03-01",
"keyWord": "phone case",
"pageIndex": 1,
"pageSize": 20,
"pageType": 3,
"sortField": "orderCount",
"sortType": "desc"
}Response example
Platform response envelope. code 0 indicates success or acceptance; data contains the business result.
{
"code": 0,
"cost": "-1",
"data": {},
"msg": null,
"time": "2026-01-01 00:00:00",
"traceId": null,
"ts": "0"
}Response fields
Response field reference (26 fields)
| Name | Type | Required | Description |
|---|---|---|---|
total | integer | optional | Number of records |
type | string | optional | rendering style |
columns | array | optional | Render column definition |
products | array | optional | Product list |
offerId | string | optional | Product ID |
asin | string | optional | Item number |
title | string | optional | Product title |
price | number | optional | wholesale price |
consignPrice | number | optional | Price on behalf of others |
currency | string | optional | Currency |
unit | string | optional | unit |
quantityBegin | integer | optional | Minimum batch size |
quantityPrices | string | optional | price range |
salesOrderCount | integer | optional | The number of sales, returns the corresponding value according to the statistical period |
salesQuantity | integer | optional | The number of pieces sold, returns the corresponding value according to the statistical period |
estimatedSalesAmount | integer | optional | Estimated sales, returning corresponding values according to statistical period |
dataType | string | optional | Data type: `weeklyData` weekly data, `monthlyData` monthly data |
availableDate | string | optional | Product shelf time, in the format of `yyyy-MM-dd HH:mm:ss` |
deliveryTime | string | optional | Shipping time |
levelName | string | optional | Category level name |
company | string | optional | Store name |
shopId | string | optional | Store ID |
shopUrl | string | optional | Store link address |
asinUrl | string | optional | Product link address |
imageUrl | string | optional | Image address |
sourceType | string | optional | Source platform (1688) |
Responses
| Code | Description |
|---|---|
| 200 | HTTP request completed. Check JSON code; only 0 indicates business success or acceptance. |
| 400 | Request JSON or required API parameters are invalid. |
| 401 | API key is missing, invalid, or cannot be matched to a user. |
| 5xx | API execution or upstream service failed. |
Data source, freshness, and limitations
Source, freshness, coverage, rate limits, and estimation notes are not specified in this API definition unless they appear in the request or response field documentation above. Do not assume official marketplace data or real-time freshness when it is not explicitly documented.